#!/bin/sh

# makros binary
MAKROS=./makros

if ! find $MAKROS 2>/dev/null >/dev/null; then
    echo "couldn't find the makros binary"
    exit 1
fi

# Strip the CSS file of whitespace to reduce file size
echo "Generating CSS"
$MAKROS resources/style-formatted.css | tr -d " \t\n\r" > resources/style.css

# Generate HTML pages from Writan sources
echo "Generating pages"
for file in site-src/*; do
    bn=$(basename $file .wtn)
    echo "  $file -> site/$bn.html"
    # if the file has macros, expand them
    if grep "#makro" $file >/dev/null; then
        tmp=$(mktemp)
        $MAKROS $file > $tmp
        ./format $tmp site/$bn.html
        rm $tmp
    else
        ./format $file site/$bn.html
    fi
done

# Generate the site index
indexfile=site/site-index.html
cat resources/header.html > $indexfile
echo "Generating full site index"
for file in site/*; do
    bn=$(basename $file .html)
    echo "<p><a href=\"$bn.html\">$bn</a>" >> $indexfile
done
cat resources/footer.html >> $indexfile
